org.apache.tinkerpop.gremlin.spark.structure.io

## Class PersistedOutputRDD

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.PersistedOutputRDD

- All Implemented Interfaces:
    PersistResultGraphAware, OutputRDD

      public final class PersistedOutputRDD
      extends Object
      implements OutputRDD, PersistResultGraphAware

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistedOutputRDD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`
    `void` | `writeGraphRDD(Configuration configuration, <any> graphRDD)` Write the graphRDD to an output location.
    `<K,V> Iterator<KeyValue<K,V>>` | `writeMemoryRDD(Configuration configuration, String memoryKey, <any> memoryRDD)` Write the sideEffect memoryRDD to an output location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistedOutputRDD

          public PersistedOutputRDD()

  - ### Method Detail

    - #### writeGraphRDD

          public void writeGraphRDD(Configuration configuration,
                                    <any> graphRDD)

      Description copied from interface: `OutputRDD`
      Write the graphRDD to an output location. The `Configuration` maintains the specified location via `Constants.GREMLIN_HADOOP_OUTPUT_LOCATION`.
      Specified by:
        `writeGraphRDD` in interface `OutputRDD`
      Parameters:
        `configuration` - the configuration of the Spark job
        `graphRDD` - the graphRDD to output

    - #### writeMemoryRDD

          public <K,V> Iterator<KeyValue<K,V>> writeMemoryRDD(Configuration configuration,
                                                              String memoryKey,
                                                              <any> memoryRDD)

      Description copied from interface: `OutputRDD`
      Write the sideEffect memoryRDD to an output location. The `Configuration` maintains the specified location via `Constants.GREMLIN_HADOOP_OUTPUT_LOCATION`. The default implementation returns an empty iterator.
      Specified by:
        `writeMemoryRDD` in interface `OutputRDD`
      Type Parameters:
        `K` - the key class of the RDD
        `V` - the value class of the RDD
      Parameters:
        `configuration` - the configuration of the Spark job
        `memoryKey` - the memory key of the memoryRDD
        `memoryRDD` - the memoryRDD
      Returns:
        the `KeyValue` iterator to store in the final resultant `Memory`.

    - #### supportsResultGraphPersistCombination

          public boolean supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph,
                                                               GraphComputer.Persist persist)

      Specified by:
        `supportsResultGraphPersistCombination` in interface `PersistResultGraphAware`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.